// --- [ global.h ] ----------------------------------------------------------
//       10.11.2008	/ 20.11.2011	tab = 3
//       zu TWI_Multi_Master.c
// ----------------------------------------------------------------------------

#ifndef  EXTERN
#define EXTERN extern
#endif

#define TWI_BUFFER 			96				// Puffergre fr TWI_Buffer - der kann etwas kleiner sein als der nachfolgende
#define RS232_BUFFER 		128			// Puffer fr serielle Schnittstelle (Eingabeseite)

#define TWI_SLA_ADR			4				// Die eigene Adresse als TWI-Slave

EXTERN volatile uint8_t chr_in;			// Zhler/Index fr die Anzahl der ber RS232 eingelesenen Bytes (read_buffer)
EXTERN volatile uint8_t last_chr;		// Das zuletzt von der seriellen Schnittstelle empfangene Zeichen
EXTERN uint8_t chr_out;						// Zhler/Index der aus read_buffer ausgelesenen (ohne Trennzeichen, Zifferfolge -> Byte)
													// der Index chr_out wird bei der Analyse mit chr_in als Ende des read_buffers verglichen
EXTERN uint8_t chr_twi;						// Zhler/Index der auf den Bus auszugebenenden/lesenden Bytes (out_buffer)
EXTERN char msg[10];							// Zur Umwandlung von Zahlen in Zeichenfolgen fr itoa()
EXTERN uint8_t echo;						// Echo der Eingabe zum Terminal zurcksenden (TxD-Echo AN)
EXTERN uint8_t format;						// Parameter fr die Formatierung durch itoa()
EXTERN uint8_t rs232_rx[RS232_BUFFER];	// hier wird die Terminaleingabe zunchst abgespeichert,
EXTERN char rs232_tx[RS232_BUFFER];
EXTERN uint8_t write_buf[TWI_BUFFER];	// nach dem RETURN wird analysiert und das Ergebnis in out_buffer geschrieben
EXTERN uint8_t read_buf[TWI_BUFFER];	// zum Empfangen wird ein anderer Buffer benutzt

EXTERN uint8_t twi_sla_format;			// legt fest, ob der TWI_Slave Daten hexadezimal oder als ASCII-Werte darstellt

// --- [ eof ] ----------------------------------------------------------------